=== debian/changelog ===
scim-sunpinyin (2.0.2-1ubuntu1) natty; urgency=low

  * Updated Maintainer accordingly.
  * Initial upload to Ubuntu.

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Tue, 11 Jan 2011 08:56:48 +0800

scim-sunpinyin (2.0.2-1) experimental; urgency=low

  * Initial release (Closes: #600553) 

 -- Liang Guo <bluestonechina@gmail.com>  Mon, 18 Oct 2010 20:29:39 +0800
