=== debian/control ===
Source: scim-sunpinyin
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Liang Guo <bluestonechina@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), scons, pkg-config, libscim-dev, libsunpinyin-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/sunpinyin

Package: scim-sunpinyin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sunpinyin-data
Description: sunpinyin engine for scim
 Sunpinyin is a statistical language model (SLM) based input method
 engine for Simplified Chinese, it features full sentence input.
 .
 This package contains the sunpinyin engine wrapper for scim.
