=== debian/changelog ===
scim-sunpinyin (2.0.3-3) unstable; urgency=low

  [YunQiang Su]
  * Rebuild with multiarched libsunpinyin.
  * Rewrite debian/rules with dh 7 format.
  * Fix URL in debian/watch.
  * Add YunQiang Su to uploaders.
  * Bump to standard 3.9.3.
  
  [Liang Guo]
  * Update Format in debian/copyright
  
 -- Liang Guo <bluestonechina@gmail.com>  Fri, 06 Apr 2012 11:43:02 +0800

scim-sunpinyin (2.0.3-2) unstable; urgency=low

  * Update debian/copyright to fit DEP-5
  * Bump Standards-Version to 3.9.2
  * Add build-arch and build-indep in debian/rules
  * Move git repository from collab-maint to pkg-ime,
    Update Vcs-* fields in debian/control

 -- Liang Guo <bluestonechina@gmail.com>  Fri, 09 Sep 2011 13:45:53 +0800

scim-sunpinyin (2.0.3-1) unstable; urgency=low

  * New upstream release 2.0.3.
  * Upload to unstable.
  * Update VCS field in debian/control.
  * Remove README.source, it's no meaning now.

 -- Liang Guo <bluestonechina@gmail.com>  Sat, 19 Feb 2011 18:33:07 +0800
