=== debian/control ===
Source: scim-sunpinyin
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Liang Guo <bluestonechina@gmail.com>, YunQiang Su <wzssyqa@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), scons, pkg-config, 
		libscim-dev, libsunpinyin-dev (>= 2.0.3+git20120222-1~)
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/sunpinyin
Vcs-Git: git://git.debian.org/git/pkg-ime/scim-sunpinyin
Vcs-Browser: http://git.debian.org/?p=pkg-ime/scim-sunpinyin.git

Package: scim-sunpinyin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sunpinyin-data
Description: sunpinyin engine for scim
 Sunpinyin is a statistical language model (SLM) based input method
 engine for Simplified Chinese, it features full sentence input.
 .
 This package contains the sunpinyin engine wrapper for scim.
