=== debian/watch ===
version=3
http://googlecode.debian.net/p/sunpinyin/scim-sunpinyin-(\d+.*).tar.gz
